/*
Theme Name: PCC 2026
Template: twentytwentyone
Author: PCC
Author URI: https://paulcongregational.org/
Description: A custom lightweight theme.
Version: 1.1
*/

/*Theme Variables*/
:root {
    /*site colors*/
    --color-1: #e08834;
    --color-2: #0a2e4c;
    --color-3: #ebaa3f;
    --gray: rgba(0, 0, 0, 0.5);
    --white: white;
    --subtle-white: rgba(255, 255, 255, 0.25);
    --subtle-black: rgba(0, 0, 0, 0.25);
    --accent-bg: #222;
    --accent-hover: #ebaa3f;
    --transluscent: rgba(30, 30, 30, 0.9);

    /*font sizes*/
    --fsize-xl: 55px;
    --fsize-lg: 40px;
    --fsize-md: 30px;
    --fsize-sm: 20px;
    --fsize-default: 18px; /*ADA requires at least 16px*/

    /*font families*/
    --heading-font: "Oswald", serif;
    --text-font: "Open Sans", sans-serif;
}
@media (max-width: 1000px) {
    :root {
        /*font sizes*/
        --fsize-xl: 40px;
        --fsize-lg: 30px;
        --fsize-md: 20px;
        --fsize-sm: 18px;
    }
}
@media (max-width: 750px) {
    :root {
        /*font sizes*/
        --fsize-xl: 35px;
        --fsize-lg: 25px;
        --fsize-md: 20px;
        --fsize-sm: 18px;
    }
}

/*Default Overall Styles*/
html,
body {
    scroll-behavior: smooth;
    font-size: var(--fsize-default);
    font-variant-ligatures: none;
    overflow-anchor: none;
}
body {
    margin: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-rendering: optimizeLegibility;
    font-family: var(--text-font);
    line-height: 1.5em;
    background: url(images/bodyBg.webp) #dcd9d6 repeat;
}
* {
    box-sizing: border-box;
    -webkit-appearance: none;
    font-family: inherit;
    max-width: 100%;
}
/* lazy loading flow fixes */
img {
    object-fit: contain;
    min-width: 1px;
}
/* img[src=""]{visibility: hidden;} */
/* img[data-url]:before{content: '';display: block;padding-top: 56.25%;} */
a {
    color: var(--color-1);
    text-decoration: none;
    transition: ease all 0.25s;
}
nav a:hover {
    color: var(--accent-hover);
}
nav a {
    padding: 0.25em 0.5em;
}
article a {
    text-decoration: underline;
    text-underline-position: under;
    text-decoration-thickness: 2px;
}
code,
pre,
kbd,
samp {
    font-family: monospace;
}

/*Font Defaults*/
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--heading-font);
    line-height: 1.25em;
    margin: 0;
    margin-bottom: 0.5em;
    text-transform: uppercase;
    font-family: "Oswald", sans-serif;
    font-weight: 400;
}
body,
p,
ul,
ol,
li {
    font-family: var(--text-font);
    line-height: 1.5em;
}
h1 {
    font-size: var(--fsize-xl);
}
h2 {
    font-size: var(--fsize-lg);
}
h3 {
    font-size: var(--fsize-md);
}
h4 {
    font-size: var(--fsize-sm);
}

/*Layout*/
.section-padding {
    padding: 5% 0;
}
.content-width {
    width: 1130px;
    max-width: 100%;
    padding: 0 15px;
    margin: 0 auto;
}
.flex {
    display: flex;
    flex-wrap: wrap;
}

/* ADA header */
.masthead {
    background: var(--accent-bg);
    padding: 0;
    box-shadow: 0 0 6px var(--gray);
    background: url(images/woodBg.webp) #1a1109 repeat;
    height: 245px;
    z-index: 99;
}
.masthead ul {
    list-style: none;
}
.skip-bar {
    position: absolute;
    display: block;
    width: 100%;
    text-align: center;
    height: 0;
    overflow: hidden;
    background: var(--accent-bg);
    top: 0;
    left: 0;
    z-index: 10;
}
.skip-bar:focus {
    height: auto;
    padding: 20px;
}
.inner-masthead {
    padding: 0 2em;
    background: rgba(0, 0, 0, 0.5);
    position: relative;
}
.width-guard {
    max-width: 1030px;
    justify-content: space-between;
    align-items: center;
    display: flex;
    width: 100%;
    margin: 0 auto;
}
.logo-container {
    width: 30%;
}
.logo-container a {
    position: absolute;
    top: 0;
}
.logo-container img {
    height: 130px;
}
.menus {
    width: 70%;
    justify-content: flex-end;
    padding: 0.25em 1em;
}
.menus li {
    font-family: var(--heading-font);
    text-transform: uppercase;
    color: #d8d7d5;
    font-size: 14px;
    letter-spacing: 0.03em;
    position: relative;
}
.menus a {
    color: white;
}
.sub-menu a:hover {
    color: var(--accent-hover);
}
.menus .current_page_item a {
    color: var(--color-1);
}
.mobile-nav-input {
    display: none;
}
#menu-main {
    padding: 0;
    font-weight: 800;
    text-transform: uppercase;
}

.content-area {
    max-width: 1030px;
    width: 90%;
    margin: 0 auto;
    margin-bottom: 30px !important;
    z-index: 99;
    background: white;
    position: relative;
    -webkit-border-radius: 4px 4px 3px 3px;
    -moz-border-radius: 4px 4px 3px 3px;
    border-radius: 4px 4px 3px 3px;
    -webkit-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
    margin-top: -100px;
    padding: 2em;
    min-height: 55vh;
}

@media (min-width: 600px) {
    body.admin-bar .masthead {
        top: 32px;
    }

    .mobile-nav {
        display: none;
    }

    #menu-main {
        display: flex;
        margin: 0;
        flex-wrap: wrap;
        justify-content: flex-end;
        gap: 1em;
    }

    #menu-main > li {
        position: relative;
        margin-bottom: 0 !important;
    }

    .sub-menu {
        position: absolute;
        top: 100%;
        margin-top: 1.5em;
        left: 0;
        border-radius: 3px;
        color: black;
        background: #fff;
        backdrop-filter: blur(5px);
        pointer-events: none;
        opacity: 0;
        transition: ease all 0.5s;
        z-index: 1000;
        box-shadow: 0 2px 7px rgba(0, 0, 0, 0.4);
        padding: 15px;
        width: max-content;
        max-width: none;
        border: 1px solid var(--subtle-white);
    }

    .sub-menu::before {
        content: "";
        position: absolute;
        top: -1.55em;
        left: 0;
        width: 100%;
        height: 1.5em;
        background: transparent;
        pointer-events: auto;
    }

    .sub-menu .sub-menu {
        left: 100%;
        top: 0;
    }

    #menu-menu li:hover > .sub-menu,
    #menu-menu li:focus-within > .sub-menu {
        opacity: 1;
        pointer-events: auto;
    }

    .sub-menu > li {
        position: relative;
        padding: 0.5rem 0;
        padding-right: 15px;
        white-space: nowrap;
    }
	
	.sub-menu a {
		color: #100;
	}

    #menu-menu {
        display: flex;
        gap: 0.5rem;
    }
}

@media (max-width: 600px) {
    .masthead {
        position: relative;
        height: unset;
    }
    .logo-container {
        width: 80%;
    }
    .inner-masthead {
        padding: 0.5em 1em;
    }
    .logo-container a {
        position: unset;
    }
    .menus {
        width: 20%;
    }
    .mobile-nav {
        font-size: 22px;
        transform: scaleX(1.75);
        outline-color: var(--color-1);
        color: white;
    }
    .main-nav {
        position: absolute;
        top: 100%;
        width: 100%;
        left: 0;
        background: white;
        border-top: 1px solid var(--gray);
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
        padding: 0 25px;
        height: 0;
        overflow: hidden;
        transition: padding 0.25s;
        background: url(images/woodBg.webp) #1a1109 repeat;
    }
    #mobile-nav-input:checked + * + .main-nav {
        height: auto;
        padding: 10px 25px;
    }
    .main-menu li a {
        outline-color: var(--color-1);
    }
    .menu-item-has-children {
        position: relative;
    }
    .menu-arrow {
        content: "";
        position: absolute;
        width: 10px;
        height: 10px;
        border-bottom: 2px solid var(--color-1);
        border-right: 2px solid var(--color-1);
        transform: rotate(45deg);
        top: 2px;
        right: 5%;
        transition: ease 0.3s;
    }
    .masthead .sub-menu.active + .menu-arrow {
        transform: rotate(225deg);
    }
    figure img {
        height: auto;
    }
    .content-area {
        margin-top: 0;
        z-index: 0;
        position: unset;
        width: 100%;
    }
	.main-menu .sub-menu {
        display: none;
        transition: ease.3s;
        padding: 0;
    }
    .main-menu .sub-menu.active {
        display: block;
        padding-left: 1rem;
    }
    .main-menu .sub-menu.active li {
        padding: 5px 0;
    }
}

/* Forms */
textarea {
    width: 100%;
    height: 150px;
}
input[type="date"],
input[type="datetime-local"],
input[type="datetime"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
select,
textarea {
    margin: 0;
    padding: 1em;
    width: 100%;
    border: 1px solid;
}
input[type="submit"],
button {
    border: none;
    background: var(--color-1);
    padding: 0.5em 1em;
    cursor: pointer;
    font-size: inherit;
}
.gfield_label {
    margin-top: 1em;
    margin-bottom: 0.25em;
    font-weight: 600;
    display: flex;
    gap: 0.25em;
}
.gfield_required {
    font-size: 0.85em;
    color: #c02b0a;
    display: inline-block;
    text-transform: uppercase;
    font-weight: 400;
}
.gfield_label_before_complex {
    display: none;
}
fieldset {
    border: none;
    margin: 0;
    padding: 0;
}
.gchoice {
    display: flex;
    gap: 1em;
    align-items: center;
    margin: 1em 0;
    cursor: pointer;
    width: fit-content;
}
.gchoice input[type="checkbox"] {
    appearance: none;
    color: var(--color-1);
    width: 1.5em;
    height: 1.5em;
    border: 2px solid;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: ease all 0.25s;
    cursor: inherit;
}
.gchoice input[type="checkbox"]::before {
    content: url("data:image/svg+xml,%3Csvg fill='%23FFF' xmlns='http://www.w3.org/2000/svg' viewBox='25 25 50 50'%3E%3Cpath d='m64 985.393-3.531 3.532-16.719 16.718-4.469-3.937-3.75-3.281-6.593 7.53 3.78 3.282 8 7 3.5 3.094 3.313-3.313 20-20 3.531-3.53L64 985.392z' overflow='visible' transform='translate(0 -952.362)'/%3E%3C/svg%3E");
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: ease opacity 0.25s;
}
.gchoice input[type="checkbox"]:checked {
    background: var(--color-1);
}
.gchoice input[type="checkbox"]:checked::before {
    opacity: 1;
}
label {
    user-select: none;
    cursor: inherit;
}

/* Built In WP Classes */
figure {
    display: inline-block;
    margin: 0;
}
.aligncenter {
    display: block;
    margin: 0 auto;
}
.has-text-align-center {
    text-align: center;
}
.has-text-align-right {
    text-align: right;
}

footer {
    background: url(images/woodBg.webp) #1a1109 repeat;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.8);
    color: #ccb298;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
footer p {
    margin: 0;
}



iframe {
	max-width: 100%;
	width: 720px;
    aspect-ratio: 16 / 9;
    height: auto;
}

.sermons-grid {
	display: flex;
    flex-flow: column;
    gap: 1em;
}

.sermon-card {
    border: 1px dashed var(--gray);
    padding: 1em;
    border-radius: 5px;
	display:flex;
	flex-flow:column;
	gap: 0.5em;
	align-items: start;
}
.sermon-card h2 {margin:0;padding:0}
.sermons-grid a {text-decoration:none;color:var(--translucent)}
a.button-small {
	background: var(--color-1);
	padding:.5rem 1rem;
	display: inline-block;
	border-radius: 5px;
	color:white;
	font-family: var(--heading-font);
	text-transform: uppercase;
}
.sermon-meta {
	font-family: var(--heading-font);
	color: rgba(0,0,0,0.5);
	font-size: 1rem;
}
